Canvas5BMParserInternal::State Struct Reference

Internal: the state of a Canvas5BMParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
bool | m_isWindowsFile
| true if this is a windows file
std::shared_ptr< Canvas5Structure::Stream > | m_stream
| the current stream
MWAWVec2i | m_dimension
| the image dimension
MWAWEmbeddedObject | m_image
| the image

## Detailed Description

Internal: the state of a Canvas5BMParser.

## Constructor & Destructor Documentation

## ◆ State()

Canvas5BMParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_dimension

MWAWVec2i Canvas5BMParserInternal::State::m_dimension

the image dimension

Referenced by State().

## ◆ m_image

MWAWEmbeddedObject Canvas5BMParserInternal::State::m_image

the image

Referenced by State().

## ◆ m_isWindowsFile

bool Canvas5BMParserInternal::State::m_isWindowsFile

true if this is a windows file

Referenced by State().

## ◆ m_stream

std::shared_ptr<Canvas5Structure::Stream> Canvas5BMParserInternal::State::m_stream

the current stream

Referenced by State().

The documentation for this struct was generated from the following file:

- Canvas5BMParser.cxx